From: jlec@gentoo.org
To: linux-kbuild@vger.kernel.org, linux-kernel@vger.kernel.org
Cc: Justin Lecher <jlec@gentoo.org>
Subject: [PATCH 1/2] Use config scripts to detect ncurses libs for menuconfig
Date: Wed, 27 Feb 2013 19:07:37 +0100 [thread overview]
Message-ID: <1361988458-18486-1-git-send-email-jlec@gentoo.org> (raw)
In-Reply-To: <jlec@gentoo.org>
From: Justin Lecher <jlec@gentoo.org>
When building ncurses with --with-termlib several symbols get moved from
libncurses.so to libtinfo.so. Thus when linking with libncurses.so, one
additionally needs to link with libtinfo.so.
Ncurses provides a config script (ncurses5-config) to assist finding ncurses.
This patch makes use of it to detect the necessary libs for linking of the
ncurses menuconfig dialog.
Signed-off-by: Justin Lecher <jlec@gentoo.org>
---
scripts/kconfig/lxdialog/check-lxdialog.sh | 24 ++++++++++++++++--------
1 file changed, 16 insertions(+), 8 deletions(-)
diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh
index c8e8a71..e429207 100644
--- a/scripts/kconfig/lxdialog/check-lxdialog.sh
+++ b/scripts/kconfig/lxdialog/check-lxdialog.sh
@@ -4,15 +4,23 @@
# What library to link
ldflags()
{
- for ext in so a dll.a dylib ; do
- for lib in ncursesw ncurses curses ; do
- $cc -print-file-name=lib${lib}.${ext} | grep -q /
- if [ $? -eq 0 ]; then
- echo "-l${lib}"
- exit
- fi
+ if ncursesw5-config --libs >/dev/null 2>&1; then
+ ncursesw5-config --libs
+ exit
+ elif ncurses5-config --libs >/dev/null 2>&1; then
+ ncurses5-config --libs
+ exit
+ else
+ for ext in so a dll.a dylib ; do
+ for lib in ncursesw ncurses curses ; do
+ $cc -print-file-name=lib${lib}.${ext} | grep -q /
+ if [ $? -eq 0 ]; then
+ echo "-l${lib}"
+ exit
+ fi
+ done
done
- done
+ fi
exit 1
}
--
1.8.1.4
next reply other threads:[~2013-02-27 18:07 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-02-27 18:07 jlec [this message]
2013-02-27 18:07 ` [PATCH 2/2] Use config scripts to detect ncurses libs for nconfig jlec
2013-02-27 19:02 ` Yann E. MORIN
2013-02-28 9:48 ` justin
2013-02-28 17:58 ` Yann E. MORIN
2013-02-27 18:37 ` [PATCH 1/2] Use config scripts to detect ncurses libs for menuconfig Yann E. MORIN
2013-02-28 9:35 ` justin
2013-02-28 18:08 ` Yann E. MORIN
2013-02-28 21:31 ` justin
2013-02-28 21:35 ` Yann E. MORIN
2013-02-28 21:38 ` justin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1361988458-18486-1-git-send-email-jlec@gentoo.org \
--to=jlec@gentoo.org \
--cc=linux-kbuild@vger.kernel.org \
--cc=linux-kernel@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®